/*
 * Copyright 2018 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTE6 (number 7), SW2
  @{ */
#define BOARD_SW2_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_SW2_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_SW2_PIN 6U     /*!<@brief PORTE pin index: 6 */
                             /* @} */

/*! @name PORTA4 (number 38), J24[3]/NMI0/TSI0_CH5/SW3
  @{ */
#define BOARD_SW3_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW3_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW3_PIN 4U     /*!<@brief PORTA pin index: 4 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void);

/*! @name PORTA14 (number 44), J20[2]/LED_GREEN
  @{ */
#define BOARD_LED_GREEN_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_LED_GREEN_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_LED_GREEN_PIN 14U    /*!<@brief PORTA pin index: 14 */
                                   /* @} */

/*! @name PORTA16 (number 46), J22[2]/LED_RED
  @{ */
#define BOARD_LED_RED_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_LED_RED_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_LED_RED_PIN 16U    /*!<@brief PORTA pin index: 16 */
                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*! @name PORTC2 (number 72), J24[16]/TSI0_CH15/ELEC1
  @{ */
#define BOARD_TSI_ELECTRODE_1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_TSI_ELECTRODE_1_PIN 2U     /*!<@brief PORTC pin index: 2 */
                                         /* @} */

/*! @name PORTC0 (number 70), J24[14]/TSI0_CH13/ELEC2
  @{ */
#define BOARD_TSI_ELECTRODE_2_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_TSI_ELECTRODE_2_PIN 0U     /*!<@brief PORTC pin index: 0 */
                                         /* @} */

/*! @name PORTC17 (number 91), J18[2]/J26[30]/EVMSIM0_IO/LED_ORANGE
  @{ */
#define BOARD_LED_ORANGE_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_ORANGE_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_ORANGE_PIN 17U    /*!<@brief PORTC pin index: 17 */
                                    /* @} */

/*! @name PORTC18 (number 92), J19[2]/J26[31]/EVMSIM0_PD/LED_YELLOW
  @{ */
#define BOARD_LED_YELLOW_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_YELLOW_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_YELLOW_PIN 18U    /*!<@brief PORTC pin index: 18 */
                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCH_PADsPins(void);

/*! @name PORTE29 (number 26), J21[1]/ADC0_SE4b/POT_5K
  @{ */
#define BOARD_POT_5K_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_POT_5K_PIN 29U    /*!<@brief PORTE pin index: 29 */
                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPOTPins(void);

/*! @name PORTC10 (number 82), J14[1]/J26[24]/U15[4]/I2C1_SCL/FXIO0_D23
  @{ */
#define BOARD_ACCEL_I2C_SCL_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_I2C_SCL_PIN 10U    /*!<@brief PORTC pin index: 10 */
                                       /* @} */

/*! @name PORTC11 (number 83), J15[1]/U15[6]/I2C1_SDA
  @{ */
#define BOARD_ACCEL_I2C_SDA_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_I2C_SDA_PIN 11U    /*!<@brief PORTC pin index: 11 */
                                       /* @} */

/*! @name PORTC5 (number 77), J16[1]/J31[B59]/U15[11]/INT1
  @{ */
#define BOARD_ACCEL_I2C_INT1_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_ACCEL_I2C_INT1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_I2C_INT1_PIN 5U     /*!<@brief PORTC pin index: 5 */
                                        /* @} */

/*! @name PORTC6 (number 78), J17[1]/J31[B57]/U15[9]/INT2
  @{ */
#define BOARD_ACCEL_I2C_INT2_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_ACCEL_I2C_INT2_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_I2C_INT2_PIN 6U     /*!<@brief PORTC pin index: 6 */
                                        /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void);

/*! @name PORTA1 (number 35), U11[3]/UART0_RX
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_DEBUG_UART_RX_PIN 1U     /*!<@brief PORTA pin index: 1 */
                                       /* @} */

/*! @name PORTA2 (number 36), U12[4]/UART0_TX
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_DEBUG_UART_TX_PIN 2U     /*!<@brief PORTA pin index: 2 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/*! @name USB0_DP (number 10), J29[3]/J31[A55]/KL28_USB0_DP/microUSB_DP
  @{ */
/* @} */

/*! @name USB0_DM (number 11), J29[2]/J31[A54]/KL28_USB0_DM/microUSB_DN
  @{ */
/* @} */

/*! @name VOUT33 (number 12), J34[3]/VREGOUT_KL28
  @{ */
/* @} */

/*! @name VREGIN (number 13), J1[2]/VREGIN_KL28
  @{ */
/* @} */

/*! @name PORTC7 (number 79), J26[21]/J28[2]/J31[B63]/FXIO0_D20/microUSB_ENA
  @{ */
#define BOARD_USB_ENA_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_USB_ENA_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_USB_ENA_PIN 7U     /*!<@brief PORTC pin index: 7 */
                                 /* @} */

/*! @name PORTB19 (number 65), J24[13]/J26[20]/J27[2]/J31[B72]/TSI0_CH12/FXIO0_D19/microUSB_FLGA
  @{ */
#define BOARD_USB_FLGA_GPIO GPIOB /*!<@brief GPIO device name: GPIOB */
#define BOARD_USB_FLGA_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_USB_FLGA_PIN 19U    /*!<@brief PORTB pin index: 19 */
                                  /* @} */

/*! @name PORTE24 (number 31), J23[9]/J29[1]/U16[8]/ADC0_SE20/microUSB_VBUS
  @{ */
#define BOARD_USB_DETECT_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_USB_DETECT_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_USB_DETECT_PIN 24U    /*!<@brief PORTE pin index: 24 */
                                    /* @} */

/*! @name PORTE25 (number 32), J23[12]/J29[4]/ADC0_SE21
  @{ */
#define BOARD_USB_ID_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_USB_ID_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_USB_ID_PIN 25U    /*!<@brief PORTE pin index: 25 */
                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSBPins(void);

/*! @name PORTA18 (number 50), J5[2]/J8[2]/Y1[3]/Y4[1]/EXTAL0
  @{ */
#define BOARD_EXTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                /* @} */

/*! @name PORTA19 (number 51), J7[2]/J36[1]/Y1[1]/Y4[2]/XTAL0
  @{ */
#define BOARD_XTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U    /*!<@brief PORTA pin index: 19 */
                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
